Create Group
curl --request POST \
--url https://api.us.lexful.app/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"organization_scopes": [],
"denied_organization_scopes": [],
"denied_entity_types": []
}
'import requests
url = "https://api.us.lexful.app/v1/groups"
payload = {
"name": "<string>",
"description": "<string>",
"organization_scopes": [],
"denied_organization_scopes": [],
"denied_entity_types": []
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
organization_scopes: [],
denied_organization_scopes: [],
denied_entity_types: []
})
};
fetch('https://api.us.lexful.app/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organization_scopes": [
"<string>"
],
"denied_organization_scopes": [
"<string>"
],
"denied_entity_types": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Groups
Create Group
Create a new group
POST
/
v1
/
groups
Create Group
Authorizations
Bearer token
Account ID
Body
application/json
Group name
Required string length:
1 - 255Optional group description
Maximum string length:
1000Organization IDs user can access, can include "*" for wildcard
Organization IDs user cannot access
Entity type IDs that users in this group cannot access
Response
Default Response
Group unique identifier
Group name
Organization IDs user can access, can include "*" for wildcard
Organization IDs user cannot access
Entity type IDs that users in this group cannot access
Group creation timestamp
Last update timestamp
Group description
User ID who created this group
User ID who last updated this group
Was this page helpful?
⌘I